DSA 550-1: New wv packages fix arbitrary command execution
Posted on: 09/20/2004 05:17 PM

New wv packages are available for Debian GNU/Linux

---------------------------------------------------------------------------
Debian Security Advisory DSA 550-1 security@debian.org
http://www.debian.org/security/ Martin Schulze
September 20th, 2004 http://www.debian.org/security/faq
---------------------------------------------------------------------------

Package : wv
Vulnerability : buffer overflow
Problem-Type : remote
Debian-specific: no
CVE ID : CAN-2004-0645
Debian Bug : 264972

iDEFENSE discovered a buffer overflow in the wv library, used to convert and preview Microsoft Word documents. An attacker could create a specially crafted document that could lead wvHtml to execute arbitrary code on the victims machine.

For the stable distribution (woody) this problem has been fixed in version 0.7.1+rvt-2woody3.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your wv package.

Upgrade Instructions
---------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
---------------------------------

Source archives:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3.dsc
Size/MD5 checksum: 650 1bbf1297d1b18bc8d771f290d63a19e0
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3.diff.gz
Size/MD5 checksum: 7816 000dfe5f3d3b62531e41d883a99de99a
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt.orig.tar.gz
Size/MD5 checksum: 1247476 4a39527fc3c9ed55083d041f17bef239

Alpha architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_alpha.deb
Size/MD5 checksum: 796074 e8a3b9010649098ed74a5570171f58d5

ARM architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_arm.deb
Size/MD5 checksum: 618682 d2aa4cc2d736907f22ad03c21553298a

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_i386.deb
Size/MD5 checksum: 573460 51cf806dcdc07591cdfe4db01ec74d00

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_ia64.deb
Size/MD5 checksum: 928044 401df471ce429992c81d2bff896fe5c5

HP Precision architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_hppa.deb
Size/MD5 checksum: 662118 f7535a4046fbf400ca89093f87dfe109

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_m68k.deb
Size/MD5 checksum: 525394 b6141b212aa00861090361b8a98d867c

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_mips.deb
Size/MD5 checksum: 660730 8dabdba8b633cb472d24b7ac83fa4dc4

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_mipsel.deb
Size/MD5 checksum: 655008 e76915c57ce1fbfdac469466d80068fe

PowerPC architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_powerpc.deb
Size/MD5 checksum: 604140 46d405566b3b129595262bb54d797d1d

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_s390.deb
Size/MD5 checksum: 602280 b3bd40a1f0d22ca57def2f878f729f8d

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_sparc.deb
Size/MD5 checksum: 606078 085dc28ddfe25102a4863dd67637a3c6


These files will probably be moved into the stable distribution on its next update.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/dsa_550_1_new_wv_packages_fix_arbitrary_command_execution.html)